Bug 1036410 - [abrt] testdisk-6.14-2.fc20: strcmp: Process /usr/bin/testdisk was killed by signal 11 (SIGSEGV)
Summary: [abrt] testdisk-6.14-2.fc20: strcmp: Process /usr/bin/testdisk was killed by ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: testdisk
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christophe GRENIER
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4cbf3006dadc98740b2e712bd48...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-01 22:37 UTC by joel
Modified: 2015-05-11 00:55 UTC (History)
1 user (show)

Fixed In Version: testdisk-7.0-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-28 13:16:06 UTC


Attachments (Terms of Use)
File: backtrace (64.42 KB, text/plain)
2013-12-01 22:37 UTC, joel
no flags Details
File: cgroup (172 bytes, text/plain)
2013-12-01 22:37 UTC, joel
no flags Details
File: core_backtrace (3.67 KB, text/plain)
2013-12-01 22:37 UTC, joel
no flags Details
File: dso_list (1.34 KB, text/plain)
2013-12-01 22:38 UTC, joel
no flags Details
File: environ (2.12 KB, text/plain)
2013-12-01 22:38 UTC, joel
no flags Details
File: exploitable (82 bytes, text/plain)
2013-12-01 22:38 UTC, joel
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-01 22:38 UTC, joel
no flags Details
File: maps (6.12 KB, text/plain)
2013-12-01 22:38 UTC, joel
no flags Details
File: open_fds (474 bytes, text/plain)
2013-12-01 22:38 UTC, joel
no flags Details
File: proc_pid_status (909 bytes, text/plain)
2013-12-01 22:38 UTC, joel
no flags Details
File: var_log_messages (718 bytes, text/plain)
2013-12-01 22:38 UTC, joel
no flags Details

Description joel 2013-12-01 22:37:44 UTC
Version-Release number of selected component:
testdisk-6.14-2.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        testdisk
crash_function: strcmp
executable:     /usr/bin/testdisk
kernel:         3.11.10-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strcmp at ../sysdeps/x86_64/strcmp.S:209
 #1 merge at list_sort.c:47
 #2 td_list_sort at list_sort.c:142
 #3 ntfs_dir at ntfs_dir.c:325
 #4 dir_partition_aux at dirn.c:545
 #5 dir_partition_aff at dirn.c:582
 #6 dir_partition at dirpart.c:179
 #7 interface_adv at adv.c:553
 #8 menu_disk_ncurses at tdiskop.c:184
 #9 menu_disk at tdiskop.c:203

Comment 1 joel 2013-12-01 22:37:53 UTC
Created attachment 831309 [details]
File: backtrace

Comment 2 joel 2013-12-01 22:37:56 UTC
Created attachment 831310 [details]
File: cgroup

Comment 3 joel 2013-12-01 22:37:58 UTC
Created attachment 831311 [details]
File: core_backtrace

Comment 4 joel 2013-12-01 22:38:00 UTC
Created attachment 831312 [details]
File: dso_list

Comment 5 joel 2013-12-01 22:38:02 UTC
Created attachment 831313 [details]
File: environ

Comment 6 joel 2013-12-01 22:38:04 UTC
Created attachment 831314 [details]
File: exploitable

Comment 7 joel 2013-12-01 22:38:07 UTC
Created attachment 831315 [details]
File: limits

Comment 8 joel 2013-12-01 22:38:09 UTC
Created attachment 831316 [details]
File: maps

Comment 9 joel 2013-12-01 22:38:11 UTC
Created attachment 831317 [details]
File: open_fds

Comment 10 joel 2013-12-01 22:38:13 UTC
Created attachment 831318 [details]
File: proc_pid_status

Comment 11 joel 2013-12-01 22:38:16 UTC
Created attachment 831319 [details]
File: var_log_messages

Comment 12 Fedora Update System 2015-04-21 12:00:40 UTC
testdisk-7.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/testdisk-7.0-1.fc21

Comment 13 Fedora Update System 2015-04-21 12:00:50 UTC
testdisk-7.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/testdisk-7.0-1.el5

Comment 14 Fedora Update System 2015-04-21 12:00:56 UTC
testdisk-7.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/testdisk-7.0-1.fc22

Comment 15 Fedora Update System 2015-04-21 12:02:11 UTC
testdisk-7.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/testdisk-7.0-1.fc20

Comment 16 Fedora Update System 2015-04-21 12:02:20 UTC
testdisk-7.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/testdisk-7.0-1.el6

Comment 17 Fedora Update System 2015-04-21 12:03:30 UTC
testdisk-7.0-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/testdisk-7.0-2.el7

Comment 18 Fedora Update System 2015-04-22 05:07:35 UTC
Package testdisk-7.0-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing testdisk-7.0-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-5900/testdisk-7.0-1.el5
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2015-04-24 08:06:40 UTC
testdisk-7.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/testdisk-7.0-2.el6

Comment 20 Fedora Update System 2015-04-24 08:06:47 UTC
testdisk-7.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/testdisk-7.0-2.fc20

Comment 21 Fedora Update System 2015-04-24 08:07:00 UTC
testdisk-7.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/testdisk-7.0-2.fc21

Comment 22 Fedora Update System 2015-04-24 08:07:10 UTC
testdisk-7.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/testdisk-7.0-2.fc22

Comment 23 Fedora Update System 2015-04-24 08:07:20 UTC
testdisk-7.0-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/testdisk-7.0-3.el7

Comment 24 Fedora Update System 2015-04-28 13:16:06 UTC
testdisk-7.0-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2015-04-29 13:02:03 UTC
testdisk-7.0-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2015-05-08 07:25:34 UTC
testdisk-7.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2015-05-11 00:46:40 UTC
testdisk-7.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2015-05-11 00:50:59 UTC
testdisk-7.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2015-05-11 00:55:40 UTC
testdisk-7.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.